<template>
  <!-- 生活服务-节假日信息添加 -->
  <div>
    <el-dialog
      :title="title + '生活服务-节假日信息'"
      :visible.sync="showFormDia"
      width="76%"
      :before-close="handleClose"
      top="8vh"
    >
      <div>
        <el-form
          ref="formInfo"
          :rules="rules"
          :model="params"
          label-width="100px"
        >

       <el-collapse v-model="activeCollapseNames" class="form-collapse">
            <el-collapse-item name="1">
              <template slot="title">
                <span class="collapse-title">
                  <i class="collapse-title-icon el-icon-info" />
                  生活服务-节假日信息
                </span>
              </template>


                   <el-row>
                   <el-col :span="12">
                   <el-form-item label="日期" >
                         <el-input
                           clearable
                            
                           placeholder="请输入日期"
                           v-model="params.vacationDate"
                         />
                   </el-form-item>
                   </el-col>
                   <el-col :span="12">
                   <el-form-item label="假期" >
                         <el-input
                           clearable
                            
                           placeholder="请输入假期"
                           v-model="params.holiday"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>
                   <el-row>
                   <el-col :span="12">
                   <el-form-item label="假期名称" >
                         <el-input
                           clearable
                            
                           placeholder="请输入假期名称"
                           v-model="params.name"
                         />
                   </el-form-item>
                   </el-col>
                   <el-col :span="12">
                   <el-form-item label="说明" >
                         <el-input
                           clearable
                            
                           placeholder="请输入说明"
                           v-model="params.tip"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>
                   <el-row>
                   <el-col :span="12">
                   <el-form-item label="其他" >
                         <el-input
                           clearable
                            
                           placeholder="请输入其他"
                           v-model="params.rest"
                         />
                   </el-form-item>
                   </el-col>
                   <el-col :span="12">
                   <el-form-item label="全部内容" >
                         <el-input
                           clearable
                            :maxlength="255"
                           placeholder="请输入全部内容"
                           v-model="params.content"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>
                   <el-row>
                   <el-col :span="12">
                   <el-form-item label="备注" >
                         <el-input
                           clearable
                            :maxlength="255"
                           placeholder="请输入备注"
                           v-model="params.memo"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>

            </el-collapse-item>
          </el-collapse>
        </el-form>
         

      </div>
      <span slot="footer" class="dialog-footer">
        <el-button type="primary"   :loading="loading"  @click="handleSave">保 存</el-button>
        <el-button @click="handleClose">取 消</el-button>
      </span>
    </el-dialog>
  </div>
</template>
<script>

import DwdSjFestivalHolidayApi from '@/views/Manage/dwd/api/DwdSjFestivalHolidayApi'
import dictContracts from '@/components/dict/DictSelectUtils.js'
import CommonApi from '@/views/Manage/CommonApi.js'
import { mapState } from 'vuex'


export default {
  name: 'DwdSjFestivalHolidayFormDialog',
  props: {},
  components: {
  },
  data() {
    return {
      title: '新增',
      CommonApi,
      showFormDia: false,
      loading: false,
      activeCollapseNames: ['1'],
      activeTabChildName: '0',

      params: {
            vacationDate: null,
            holiday: null,
            name: null,
            tip: null,
            rest: null,
            content: null,
            memo: null,
      },
      rules: {
      }
    }
  },
  computed: mapState({
    header: state => {
      return {
        Authorization: `Bearer ${state.login.currentUser.token}`
      }
    }
  }),
  created() {
  },
  methods: {
    add() {
      this.title = '新增'
      this.resetForm()
      this.showFormDia = true
    },
    resetForm() {      
      this.params = {
            vacationDate: null,
            holiday: null,
            name: null,
            tip: null,
            rest: null,
            content: null,
            memo: null,
      }     
    },
    handleClose() {
      this.resetForm()
      this.showFormDia = false
    },
    handleSave() {
      this.$refs.formInfo.validate(valid => {
        if (valid) {
          let method
          if (!this.params.id) {
            // 新增
            method = DwdSjFestivalHolidayApi.addDwdSjFestivalHoliday
          }else{
            // 修改
            method = DwdSjFestivalHolidayApi.editDwdSjFestivalHoliday
          }
          this.loading = true
          method(this.params, res => {
            this.loading = false
            if (res.state) {
              this.$notify({
                type: 'success',
                message: this.title + '成功',
                duration: 2000
              })
             //this.$emit('loadData')
              this.$parent.loadData()
              this.handleClose()
            } else {
              this.$message.warning(res.message)
            }
          })
        }
      })
    },
    Update(row) {
      this.title = '修改'
      this.showFormDia = true
      this.params = row
    }
  }
}
</script>
<style lang="scss" scoped>
.step-container {
  width: 80%;
  margin: 0 auto 20px;
}
.dialog-footer {
  text-align: center;
}
</style>